DefaultDelegateAsyncTransactionalMethodTransformer (Grails 2.4.4)
Date: 2014-10-28

Package: org.grails.async.transform.internal

## [Groovy] Class DefaultDelegateAsyncTransactionalMethodTransformer

- org.grails.async.transform.internal.DefaultDelegateAsyncTransactionalMethodTransformer

- All Implemented Interfaces and Traits:
    DelegateAsyncTransactionalMethodTransformer

      @groovy.transform.CompileStatic
      class DefaultDelegateAsyncTransactionalMethodTransformer

  Modifies the

  DelegateAsync:
    transform to take into account transactional services. New instance should be created per class transform, as state is held.
  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.codehaus.groovy.ast.stmt.BlockStatement` | `getSetTransactionManagerMethodBody(org.codehaus.groovy.ast.ClassNode classNode)`
    `void` | `transformTransactionalMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.ClassNode delegateClassNode, org.codehaus.groovy.ast.MethodNode methodNode, org.codehaus.groovy.ast.expr.ListExpression promiseDecorators)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### org.codehaus.groovy.ast.stmt.BlockStatement getSetTransactionManagerMethodBody(org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override void transformTransactionalMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.ClassNode delegateClassNode, org.codehaus.groovy.ast.MethodNode methodNode, org.codehaus.groovy.ast.expr.ListExpression promiseDecorators)